﻿<div class="top-row ps-3 navbar navbar-dark">
    <div class="container-fluid">
        <a class="navbar-brand" href="">Super liga</a>
        <button title="Navigation menu" class="navbar-toggler" @onclick="ToggleNavMenu">
            <span class="navbar-toggler-icon"></span>
        </button>
    </div>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <nav class="flex-column">
        <div class="nav-item px-3">
            <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
                <span class="oi oi-home" aria-hidden="true"></span> Pocetna
            </NavLink>
        </div>
        <div class="nav-item px-3">
            <NavLink class="nav-link" href="kalendar">
                <span class="oi oi-list-rich" aria-hidden="true"></span>Kalendar utakmica
            </NavLink>
        </div>
        <div class="nav-item px-3">
            <NavLink class="nav-link" href="tablica">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Rezultati
            </NavLink>
        </div>
        <div class="nav-item px-3">
            <NavLink class="nav-link" href="komentari">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Komentari
            </NavLink>
        </div>
    </nav>
</div>

@code {
    private bool collapseNavMenu = true;

    private string? NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    private void ToggleNavMenu()
    {
        collapseNavMenu = !collapseNavMenu;
    }
}
